glibmm 2.64.2

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Functions | List of all members
Gio::EmblemedIcon Class Reference

Icons with Emblems. More...

`#include <giomm/emblemedicon.h>`

Inheritance diagram for Gio::EmblemedIcon:
[legend]

## Public Member Functions
| EmblemedIcon (EmblemedIcon&& src) noexcept
EmblemedIcon& | operator= (EmblemedIcon&& src) noexcept
| ~EmblemedIcon () noexcept override
GEmblemedIcon* | gobj ()
| Provides access to the underlying C GObject. More...
const GEmblemedIcon* | gobj () const
| Provides access to the underlying C GObject. More...
GEmblemedIcon* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs. More...
Glib::RefPtr< Icon > | get_icon ()
| Gets the main icon for emblemed. More...
Glib::RefPtr< const Icon > | get_icon () const
| Gets the main icon for emblemed. More...
Glib::ListHandle< Glib::RefPtr< Emblem > > | get_emblems ()
| Gets the list of emblems for the icon. More...
void | add_emblem (const Glib::RefPtr< Emblem >& emblem)
| Adds emblem to the List of Emblems. More...
void | clear_emblems ()
| Removes all the emblems from icon. More...
Public Member Functions inherited from Glib::Object
| Object (const Object&)=delete
Object& | operator= (const Object&)=delete
| Object (Object&& src) noexcept
Object& | operator= (Object&& src) noexcept
void* | get_data (const QueryQuark& key)
void | set_data (const Quark& key, void* data)
void | set_data (const Quark& key, void* data, DestroyNotify notify)
void | remove_data (const QueryQuark& quark)
void* | steal_data (const QueryQuark& quark)
Public Member Functions inherited from Glib::ObjectBase
| ObjectBase (const ObjectBase&)=delete
ObjectBase& | operator= (const ObjectBase&)=delete
void | set_property_value (const Glib::ustring& property_name, const Glib::ValueBase& value)
| You probably want to use a specific property_*() accessor method instead. More...
void | get_property_value (const Glib::ustring& property_name, Glib::ValueBase& value) const
| You probably want to use a specific property_*() accessor method instead. More...
template<class PropertyType >
void | set_property (const Glib::ustring& property_name, const PropertyType& value)
| You probably want to use a specific property_*() accessor method instead. More...
template<class PropertyType >
void | get_property (const Glib::ustring& property_name, PropertyType& value) const
| You probably want to use a specific property_*() accessor method instead. More...
void | connect_property_changed (const Glib::ustring& property_name, const sigc::slot< void >& slot)
| You can use the signal_changed() signal of the property proxy instead. More...
void | connect_property_changed (const Glib::ustring& property_name, sigc::slot< void >&& slot)
| You can use the signal_changed() signal of the property proxy instead. More...
sigc::connection | connect_property_changed_with_return (const Glib::ustring& property_name, const sigc::slot< void >& slot)
| You can use the signal_changed() signal of the property proxy instead. More...
sigc::connection | connect_property_changed_with_return (const Glib::ustring& property_name, sigc::slot< void >&& slot)
| You can use the signal_changed() signal of the property proxy instead. More...
void | freeze_notify ()
| Increases the freeze count on object. More...
void | thaw_notify ()
| Reverts the effect of a previous call to freeze_notify(). More...
virtual void | reference () const
| Increment the reference count for this object. More...
virtual void | unreference () const
| Decrement the reference count for this object. More...
GObject* | gobj ()
| Provides access to the underlying C GObject. More...
const GObject* | gobj () const
| Provides access to the underlying C GObject. More...
GObject* | gobj_copy () const
| Give a ref-ed copy to someone. Use for direct struct access. More...
Public Member Functions inherited from sigc::trackable
| trackable () noexcept
| trackable (const trackable &src) noexcept
| trackable (trackable &&src)
| ~trackable ()
void | add_destroy_notify_callback (void *data, func_destroy_notify func) const
void | notify_callbacks ()
trackable & | operator= (const trackable &src)
trackable & | operator= (trackable &&src)
void | remove_destroy_notify_callback (void *data) const
Public Member Functions inherited from Gio::Icon
| Icon (Icon&& src) noexcept
Icon& | operator= (Icon&& src) noexcept
| ~Icon () noexcept override
GIcon* | gobj ()
| Provides access to the underlying C GObject. More...
const GIcon* | gobj () const
| Provides access to the underlying C GObject. More...
guint | hash () const
| Gets a hash for an icon. More...
std::string | to_string () const
| Generates a textual representation of icon that can be used for serialization such as when passing icon to a different process or saving it to persistent storage. More...
bool | equal (const Glib::RefPtr< Icon >& other) const
Glib::VariantBase | serialize () const
| Serializes a Icon into a Variant. More...
Public Member Functions inherited from Glib::Interface
| Interface ()
| A Default constructor. More...
| Interface (Interface&& src) noexcept
Interface& | operator= (Interface&& src) noexcept
| Interface (const Glib::Interface_Class& interface_class)
| Called by constructors of derived classes. More...
| Interface (GObject* castitem)
| Called by constructors of derived classes. More...
| ~Interface () noexcept override
| Interface (const Interface&)=delete
Interface& | operator= (const Interface&)=delete
GObject* | gobj ()
const GObject* | gobj () const

## Static Public Member Functions
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system. More...
static Glib::RefPtr< EmblemedIcon > | create (const Glib::RefPtr< Icon >& icon, const Glib::RefPtr< Emblem >& emblem)
| Creates a new emblemed icon for icon with the emblem emblem. More...
static Glib::RefPtr< EmblemedIcon > | create (const Glib::RefPtr< Icon >& icon)
| Creates a new emblemed icon for icon with no emblem. More...
Static Public Member Functions inherited from Gio::Icon
static void | add_interface (GType gtype_implementer)
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system. More...
static Glib::RefPtr< Icon > | create (const std::string& str)
| Generate an Icon instance from str. More...
static Glib::RefPtr< Icon > | deserialize (const Glib::VariantBase& value)
| Deserializes a Icon previously serialized using g_icon_serialize(). More...

## Protected Member Functions
| EmblemedIcon (const Glib::RefPtr< Icon >& icon)
| Creates a new emblemed icon for icon with no emblem. More...
| EmblemedIcon (const Glib::RefPtr< Icon >& icon, const Glib::RefPtr< Emblem >& emblem)
| Creates a new emblemed icon for icon with the emblem emblem. More...
Protected Member Functions inherited from Glib::Object
| Object ()
| Object (const Glib::ConstructParams& construct_params)
| Object (GObject* castitem)
| ~Object () noexcept override
Protected Member Functions inherited from Glib::ObjectBase
| ObjectBase ()
| This default constructor is called implicitly from the constructor of user-derived classes, even if, for instance, Gtk::Button calls a different ObjectBase constructor. More...
| ObjectBase (const char* custom_type_name)
| A derived constructor always overrides this choice. More...
| ObjectBase (const std::type_info& custom_type_info)
| This constructor is a special feature to allow creation of derived types on the fly, without having to use g_object_new() manually. More...
| ObjectBase (ObjectBase&& src) noexcept
ObjectBase& | operator= (ObjectBase&& src) noexcept
virtual | ~ObjectBase () noexcept=0
void | initialize (GObject* castitem)
void | initialize_move (GObject* castitem, Glib::ObjectBase* previous_wrapper)
Protected Member Functions inherited from Gio::Icon
| Icon ()
| You should derive from this class to use it. More...

## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Gio::EmblemedIcon > | wrap (GEmblemedIcon* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...
Related Functions inherited from Glib::Object
Glib::RefPtr< Glib::Object > | wrap (GObject* object, bool take_copy=false)
Related Functions inherited from Gio::Icon
Glib::RefPtr< Gio::Icon > | wrap (GIcon* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...

## Additional Inherited Members
Public Types inherited from Glib::Object
using | DestroyNotify = void(*)(gpointer data)
Public Types inherited from sigc::trackable
typedef internal::func_destroy_notify | func_destroy_notify

## Detailed Description

Icons with Emblems.

EmblemedIcon is an implementation of Icon that supports adding an emblem to an icon. Adding multiple emblems to an icon is ensured via add_emblem().

Note that EmblemedIcon allows no control over the position of the emblems. See also Emblem for more information.

Since glibmm 2.20:

## Constructor & Destructor Documentation

Gio::EmblemedIcon::EmblemedIcon | ( | EmblemedIcon&& | src | ) |
| noexcept

Gio::EmblemedIcon::~EmblemedIcon | ( |  | ) |
| override noexcept

Gio::EmblemedIcon::EmblemedIcon | ( | const Glib::RefPtr< Icon >& | icon | ) |
| explicit protected

Creates a new emblemed icon for icon with no emblem.

Parameters

  icon | An Icon.

Since glibmm 2.28:

Gio::EmblemedIcon::EmblemedIcon | ( | const Glib::RefPtr< Icon >& | icon,
|  | const Glib::RefPtr< Emblem >& | emblem
| ) |  |
| explicit protected

Creates a new emblemed icon for icon with the emblem emblem.

Parameters

  icon | An Icon.
  emblem | An Emblem.

## Member Function Documentation

void Gio::EmblemedIcon::add_emblem | ( | const Glib::RefPtr< Emblem >& | emblem | ) |

Adds emblem to the List of Emblems.

Since glibmm 2.18:

Parameters

  emblem | A Emblem.

void Gio::EmblemedIcon::clear_emblems | ( |  | ) |

Removes all the emblems from icon.

Since glibmm 2.28:

static Glib::RefPtr<EmblemedIcon> Gio::EmblemedIcon::create | ( | const Glib::RefPtr< Icon >& | icon,
|  | const Glib::RefPtr< Emblem >& | emblem
| ) |  |
| static

Creates a new emblemed icon for icon with the emblem emblem.

Parameters

  icon | An Icon.
  emblem | An Emblem.

Returns
  An Icon.

static Glib::RefPtr<EmblemedIcon> Gio::EmblemedIcon::create | ( | const Glib::RefPtr< Icon >& | icon | ) |
| static

Creates a new emblemed icon for icon with no emblem.

Parameters

  icon | An Icon.

Returns
  An Icon.

Since glibmm 2.28:

Glib::ListHandle<Glib::RefPtr<Emblem> > Gio::EmblemedIcon::get_emblems | ( |  | ) |

Gets the list of emblems for the icon.

Since glibmm 2.18:

Returns
  A List of Emblems that is owned by emblemed.

Glib::RefPtr<Icon> Gio::EmblemedIcon::get_icon | ( |  | ) |

Gets the main icon for emblemed.

Since glibmm 2.18:

Returns
  A Icon that is owned by emblemed.

Glib::RefPtr<const Icon> Gio::EmblemedIcon::get_icon | ( |  | ) | const

Gets the main icon for emblemed.

Since glibmm 2.18:

Returns
  A Icon that is owned by emblemed.

static GType Gio::EmblemedIcon::get_type | ( |  | ) |
| static

Get the GType for this class, for use with the underlying GObject type system.

GEmblemedIcon* Gio::EmblemedIcon::gobj | ( |  | ) |
| inline

Provides access to the underlying C GObject.

const GEmblemedIcon* Gio::EmblemedIcon::gobj | ( |  | ) | const
| inline

Provides access to the underlying C GObject.

GEmblemedIcon* Gio::EmblemedIcon::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

EmblemedIcon& Gio::EmblemedIcon::operator= | ( | EmblemedIcon&& | src | ) |
| noexcept

## Friends And Related Function Documentation

Glib::RefPtr< Gio::EmblemedIcon > wrap | ( | GEmblemedIcon * | object,
|  | bool | take_copy = `false`
| ) |  |
| related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.